Approve upgrade for a cloud instance

POST/v1/cloud_computing/instances/{instance_id}/approve_upgrade

To confirm the request, send a POST request to the /v1/cloud_computing/instances/{instance_id}/approve_upgrade endpoint. It will be confirmed automatically after 72 hours. To specify an instance, write its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
instance_id
string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances/oQeZ6Jep/approve_upgrade"
{  "id": "oQeZ6Jep",  "openstack_uuid": "69cf4aa0-7d1e-4395-9df2-267688eb45b7",  "status": "UPGRADING",  "name": "name813",  "region_id": 1,  "region_code": "US99",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "125.102.63.242",  "private_ipv4_address": null,  "local_ipv4_address": "67.150.196.104",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2025-12-31T00:00:00Z",  "updated_at": "2025-12-31T00:00:00Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}